Subject: bug#7727: describe-key doesn't tell whole redirect sequence

From: [email-masked]
Date: Fri, 24 Dec 2010 23:22:56 +0800

>>>>> "KY" == Katsumi Yamaoka <[email-masked]> writes:
KY> [email-masked] wrote:
>> Gentlemen, in http:///jidanni.org/comp/configuration/.gnus.el
>> I do (put 'gnus-summary-edit-article 'disabled t)

>> That works in the *Summary* buffer, but not the *Article* buffer,
>> despite in both places describe-key saying
>> "e runs the command gnus-summary-edit-article".
>> What gives?

>> gnus-version "Gnus v5.13"

KY> The real command that the "e" key is bound to in the article
KY> buffer is `gnus-article-read-summary-keys', which is used to
KY> invoke the summary commands from the article buffer and will
KY> interpret it into:

KY> (call-interactively 'gnus-summary-edit-article)

KY> But it doesn't work for the `disabled' flag as if the command is
KY> actually and directly invoked interactively.  I'm not capable to
KY> improve it, sorry.

I see. So the real bug is in the describe-key function, not telling the
user all the details! I'll Cc bug-gnu-emacs!

I also note one sees Describe Key: e-
in the minibuffer, with a "-" added.

Anyway, how can I disable it in the *Article* buffer too?